import { Style } from '@nativescript/core';
import { TextFieldBase } from './textfield.common';
declare module '@nativescript/core/ui/text-field' {
    interface TextField {
        textFieldShouldChangeCharactersInRangeReplacementString(textField: UITextField, range: NSRange, replacementString: string): boolean;
    }
}
export declare class TextField extends TextFieldBase {
    nativeViewProtected: MDCTextField;
    nativeTextViewProtected: MDCTextField;
    private _controller;
    readonly style: Style & {
        variant: 'outline' | 'underline' | 'filled';
    };
    nsdigits?: NSCharacterSet;
    firstEdit: boolean;
    clearFocus(): void;
    requestFocus(): void;
    textFieldShouldChangeCharactersInRangeReplacementString(textField: UITextField, range: NSRange, replacementString: string): boolean;
    private mCanAutoSize;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    _getTextInsetsForBounds(insets: UIEdgeInsets): UIEdgeInsets;
    createNativeView(): MDCTextField;
    blur(): void;
    setSelection(start: number, stop?: number): void;
}
